﻿namespace RadSchedulerApp.Data.Migrations
{
    using System;
    using System.Collections.Generic;

    using Models;

    public class SeedData
    {
        private IList<Appointment> appointments;

        public SeedData()
        {
            this.appointments = new List<Appointment>
            {
                new Appointment { Subject = "Subject1", Description = "Description1", Start = DateTime.UtcNow, End = DateTime.UtcNow.AddHours(1) },
                new Appointment { Subject = "Subject2", Description = "Description2", Start = DateTime.UtcNow.AddHours(2), End = DateTime.UtcNow.AddHours(3) },
                new Appointment { Subject = "Subject3", Description = "Description3", Start = DateTime.UtcNow.AddHours(3), End = DateTime.UtcNow.AddHours(4) }
            };
        }

        public IList<Appointment> Appointments
        {
            get { return new List<Appointment>(this.appointments); }
        }
    }
}
